package com.miaxis.coach.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 教练员驾校关系对象 coach_many_school
 *
 * @author zhangbin
 * @date 2023-07-25
 */
@Data
@TableName("coach_many_school")
@ApiModel(value = "CoachManySchool", description = "教练员驾校关系对象 coach_many_school")
public class CoachManySchool extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 教练员ID */
    @TableId(value = "coach_id")
    @ApiModelProperty(value = "教练员ID")
    private Long coachId;

    /** 教练员名称 */
    @Excel(name = "教练员名称")
    @TableField("coach_name")
    @ApiModelProperty(value = "教练员名称")
    private String coachName;

    /** 多驾校ID ","隔开 */
    @Excel(name = "多驾校ID")
    @TableField("school_ids")
    @ApiModelProperty(value = "多驾校ID")
    private String schoolIds;


}
