package com.miaxis.coach.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.coach.mapper.CoachManySchoolMapper;
import com.miaxis.coach.domain.CoachManySchool;
import com.miaxis.coach.service.ICoachManySchoolService;

/**
 * 教练员驾校关系Service业务层处理
 *
 * @author zhangbin
 * @date 2023-07-25
 */
@Service
public class CoachManySchoolServiceImpl extends ServiceImpl<CoachManySchoolMapper, CoachManySchool> implements ICoachManySchoolService {
    @Autowired
    private CoachManySchoolMapper coachManySchoolMapper;

    /**
     * 查询教练员驾校关系列表
     *
     * @param coachManySchool 教练员驾校关系
     * @return 教练员驾校关系
     */
    @Override
    public List<CoachManySchool> selectCoachManySchoolList(CoachManySchool coachManySchool){
        return coachManySchoolMapper.selectCoachManySchoolList(coachManySchool);
    }
}
