package com.miaxis.newgzpt.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.common.annotation.DataSource;
import com.miaxis.common.enums.DataSourceTypeEnum;
import com.miaxis.newgzpt.domain.GzptUserInfo;
import com.miaxis.newgzpt.dto.GzptAppleInfoDTO;
import com.miaxis.newgzpt.dto.GzptUserInfoDTO;
import com.miaxis.newgzpt.mapper.GzptUserInfoMapper;
import com.miaxis.newgzpt.service.IGzptUserInfoService;
import com.miaxis.newgzpt.vo.GzptExamInfoVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 学员基本信息表 服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2021-03-09
 */
@Service
@DataSource(value = DataSourceTypeEnum.NEWGZPT)
public class GzptUserInfoServiceImpl extends ServiceImpl<GzptUserInfoMapper, GzptUserInfo> implements IGzptUserInfoService {


    @Resource
    GzptUserInfoMapper mapper;


    @Override
    public List<GzptUserInfo> getList() {
        return mapper.getList();
    }

    @Override
    public GzptUserInfo getUserWxlogin(GzptUserInfoDTO userInfoDTO) {
        return mapper.getUserByWxlogin(userInfoDTO);
    }

    @Override
    public GzptUserInfo getAppleUserInfo(GzptAppleInfoDTO appleInfoDTO) {
        return mapper.getAppleUserInfo(appleInfoDTO);
    }


    @Override
    public GzptUserInfo getInfoById(Long id) {
        return  mapper.getInfoById(id);
    }

    @Override
    public List<GzptExamInfoVO> getUserScoreByOutId(Long stuOutId) {
        return mapper.getUserScoreByOutId(stuOutId);
    }


    @Override
    public Long saveGzptUserInfo(GzptUserInfo userInfo) {
        return mapper.saveGzptUserInfo(userInfo);
    }
}
