package com.miaxis.tms.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;


@Data
@EqualsAndHashCode(callSuper = false)
public class TmsStudentInfoIdVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学员ID")
    private Long id;

    @ApiModelProperty(value = "证件类型： 1身份证 2护照 3军官证 4其他")
    private String cardType;

    @ApiModelProperty(value = "证件号")
    private String idcard;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别(1:男性; 2:女性;)")
    private String sex;

    @ApiModelProperty(value = "手机号码")
    private String phone;

    @ApiModelProperty(value = "来源(推荐人)")
    private String source;

    @ApiModelProperty(value = "国籍")
    private String nationality;

    @ApiModelProperty(value = "培训车型(下列编码单选：A1,A2,A3,B1,B2,C1,C2,C3,C4,C5,D,E,F,M,N,P)")
    private String trainType;

    @ApiModelProperty(value = "是否已经激活 0 未激活 1 已激活")
    private String active;

    @ApiModelProperty(value = "备案时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date recordDate;

    @ApiModelProperty(value = "联系地址")
    private String address;

    @ApiModelProperty(value = "照片保存地址")
    private String photoPath;

    @ApiModelProperty(value = "登录密码")
    private String password;


    @ApiModelProperty(value = "人脸比对模板")
    private String face;

    @ApiModelProperty(value = "驾校ID")
    private Long schoolId;

    @ApiModelProperty(value = "驾校名称")
    private String schoolName;

    @ApiModelProperty(value = "驾校简称")
    private String schoolShortName;

    @ApiModelProperty(value = "驾校地址")
    private String schoolAddress;

    @ApiModelProperty(value = "驾校全国统一编号")
    private String schollInscode;

    @ApiModelProperty(value = "区县编号")
    private String qxbh;

    @ApiModelProperty(value = "区县名称")
    private String qxmc;

    @ApiModelProperty(value = "地区编号")
    private String dqbh;

    @ApiModelProperty(value = "地区名称")
    private String dqmc;

    @ApiModelProperty(value = "第一阶段学时送审状态 0 不允许送审 1 允许送审 2 审核通过 3 退回 4 待审核状态 注:当学时达标标后改1")
    private String trainOneStatus;

    @ApiModelProperty(value = "第一阶段学时考核状态 0 未考核 1 考核通过 2 考核不通过")
    private String trainOneExamStatus;

    @ApiModelProperty(value = "第一阶段学时考核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date trainOneExamTime;

    @ApiModelProperty(value = "第二阶段学时送审状态 0 不允许送审 1 允许送审 2 审核通过 3 退回  4 待审核状态 注:当学时达标标后改1")
    private String trainTwoStatus;

    @ApiModelProperty(value = "第二阶段学时考核状态 0 未考核 1 考核通过 2 考核不通过")
    private String trainTwoExamStatus;

    @ApiModelProperty(value = "第二阶段学时考核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date trainTwoExamTime;

    @ApiModelProperty(value = "第三阶段学时送审状态 0 不允许送审 1 允许送审 2 审核通过 3 退回  4 待审核状态 注:当学时达标标后改1")
    private String trainThreeStatus;

    @ApiModelProperty(value = "第三阶段学时考核状态 0 未考核 1 考核通过 2 考核不通过")
    private String trainThreeExamStatus;

    @ApiModelProperty(value = "第三阶段学时考核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date trainThreeExamTime;

    @ApiModelProperty(value = "第四阶段学时送审状态 0 不允许送审 1 允许送审 2 审核通过 3 退回  4 待审核状态  注:当学时达标标后改1")
    private String trainFourStatus;

    @ApiModelProperty(value = "第四阶段学时考核状态 0 未考核 1 考核通过 2 考核不通过")
    private String trainFourExamStatus;

    @ApiModelProperty(value = "第四阶段学时考核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date trainFourExamTime;

    @ApiModelProperty(value = "科目一已完成学时")
    private String k1;

    @ApiModelProperty(value = "科目二已完成学时")
    private String k2;

    @ApiModelProperty(value = "科目三已完成学时")
    private String k3;

    @ApiModelProperty(value = "科目四已完成学时")
    private String k4;

    @ApiModelProperty(value = "科目一总需要学时")
    private String totalKm1;

    @ApiModelProperty(value = "科目二总需要学时")
    private String totalKm2;

    @ApiModelProperty(value = "科目三总需要学时")
    private String totalKm3;

    @ApiModelProperty(value = "科目四总需要学时")
    private String totalKm4;

    @ApiModelProperty(value = "科目二里程数")
    private String k2Mileage;

    @ApiModelProperty(value = "总里程数")
    private String mileage;

    @ApiModelProperty(value = "科目三里程数")
    private String k3Mileage;

}
