package com.miaxis.tms.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;


@Data
@EqualsAndHashCode(callSuper = false)
public class TmsStudentInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学员ID")
    private Long id;

    @ApiModelProperty(value = "身份证号码")
    private String idcard;

    @ApiModelProperty(value = "学员姓名")
    private String name;

    @ApiModelProperty(value = "性别(1:男性; 2:女性;)")
    private String sex;

    @ApiModelProperty(value = "手机号码")
    private String phone;

    @ApiModelProperty(value = "报名时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date applydate;

    @ApiModelProperty(value = "学驾状态 1 第一阶段 2 第二阶段 3 第三阶段 4 第四阶段 5已结业")
    private String state;

    @ApiModelProperty(value = "培训车型(下列编码单选：A1,A2,A3,B1,B2,C1,C2,C3,C4,C5,D,E,F,M,N,P)")
    private String trainType;

    @ApiModelProperty(value = "照片保存地址")
    private String photoPath;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "推荐人")
    private String source;

    @ApiModelProperty(value = "第一阶段学时送审状态 0 未达标 1 未送审 2 审核通过 3 退回 4 待审核状态 注:当学时达标标后改1")
    private String trainOneStatus;

    @ApiModelProperty(value = "第一阶段学时考核状态 0 未考核 1 考核通过 2 考核不通过")
    private String trainOneExamStatus;

    @ApiModelProperty(value = "第一阶段学时考核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date trainOneExamTime;

    @ApiModelProperty(value = "第二阶段学时送审状态 0 未达标 1 未送审 2 审核通过 3 退回  4 待审核状态 注:当学时达标标后改1")
    private String trainTwoStatus;

    @ApiModelProperty(value = "第二阶段学时考核状态 0 未考核 1 考核通过 2 考核不通过")
    private String trainTwoExamStatus;

    @ApiModelProperty(value = "第二阶段学时考核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date trainTwoExamTime;

    @ApiModelProperty(value = "第三阶段学时送审状态 0 未达标 1 未送审 2 审核通过 3 退回  4 待审核状态 注:当学时达标标后改1")
    private String trainThreeStatus;

    @ApiModelProperty(value = "第三阶段学时考核状态 0 未考核 1 考核通过 2 考核不通过")
    private String trainThreeExamStatus;

    @ApiModelProperty(value = "第三阶段学时考核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date trainThreeExamTime;

    @ApiModelProperty(value = "第四阶段学时送审状态 0 未达标 1 未送审 2 审核通过 3 退回  4 待审核状态 注:当学时达标标后改1")
    private String trainFourStatus;

    @ApiModelProperty(value = "第四阶段学时考核状态 0 未考核 1 考核通过 2 考核不通过")
    private String trainFourExamStatus;

    @ApiModelProperty(value = "第四阶段学时考核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date trainFourExamTime;


    @ApiModelProperty(value = "报名类型 1预报名 2正式学员")
    private String bmType;

    @ApiModelProperty(value = "驾校名称")
    private String schoolName;

}
