package com.miaxis.tms.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;


@Data
@EqualsAndHashCode(callSuper = false)
public class TmsStudentTeachLogVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "教练日志ID")
    private Long id;

    @ApiModelProperty(value = "教学日志编码")
    private String recnum;

    @ApiModelProperty(value = "培训类型")
    private String pxlxName;

    @ApiModelProperty(value = "公理数")
    private String mile;

    @ApiModelProperty(value = "培训学时")
    private String duration;

    @ApiModelProperty(value = "有效学时")
    private String vaildTime;

    @ApiModelProperty(value = "培训部分")
    private String trainSubject;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "教练员")
    private String coachName;

    @ApiModelProperty(value = "教练车牌")
    private String carLicnum;

    @ApiModelProperty(value = "终端卡号")
    private String sim;

    @ApiModelProperty(value = "监管审核 0审核通过 1审核不通过  2待审核")
    private String auditResult;

    @ApiModelProperty(value = "备案状态 1备案成功 0未备案  其他：备案失败")
    private String recordStatus;

    @ApiModelProperty(value = "监管复核结果")
    private String auditReason;

    @ApiModelProperty(value = "课程ID")
    private String classid;

}
